//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
SHOWREEL
======================================================================================================================================
*/

.c-slideshow {
    position: relative;
    z-index: 0;
}

.c-slideshow__slide {
    height: 100vh;
    width: 100%;
    @media @media_smartphone {
        height: 90vh;
    }
}

.c-slideshow__image {
    position: absolute;
    height: 100%;
    width: 100%;
    bottom: @margin__l/2;
    right: 0;
    z-index: 0;
}

.c-slideshow__content {
    position: absolute;
    color: @color__primary;
    top: 50%;
    z-index: 1;
    .u-transform(translateY(-50%));

    h2 {
        font-family: @font_titles;
        font-size: 2.5vw;
        margin: 0;
        line-height: 1.4em;
    }

    h4 {
        color: @color__secondary;
        font-size: @size__l;
    }

}

.c-slideshow__pager {
    position: absolute;
    bottom: @margin__xl + @margin__s;
    left: @margin__l + @margin__m;
    z-index: 121;

    a {
        display: inline-block;
        margin: 0 5px;
        background-color: @color__primary;
        height: 10px;
        width: 10px;
        .transition-elastic;

        &.isActive {
            background-color: @color__secondary;
        }
    }
}